### Virtual Method

# Hinoko FwIsoCtx flush_completions

since: 0.7

#### Declaration [src]

    gboolean
    flush_completions (
      HinokoFwIsoCtx* self
      GError** error
    )

#### Description [src]

Flush isochronous context until recent isochronous cycle. The call of function forces the context to queue any type of interrupt event for the recent isochronous cycle. Application can process the content of isochronous packet without waiting for actual hardware interrupt.

Available since: 0.7

#### Return value

Type: `gboolean`

TRUE if the overall operation finishes successfully, otherwise FALSE.